/************************************************************************/
/* This is the sample Profile for PowerPlatform Release 1.0.            */
/*                                                                      */
/*                                              ==> MCW 08/19/90 <==    */
/*                                                                      */
/*                   Copyright  1990 Martin C. Warnett.                */
/************************************************************************/

trace off

'Options WorkBench'                         /* Open on WorkBench        */
'Options Bytes'                             /* Display file size        */

'DefineDevice HardDisk 1 SYS:'              /* Define devices           */
'DefineDevice HardDisk 2 DH0:'
'DefineDevice FloppyDisk 3 DF0:'
'DefineDevice RAMDisk 4 RAD:'
'DefineDevice RAMDisk 5 RAM:'
'DefineDevice HardDisk 6 NET:'              /* ParNet device            */
'DefineDevice FloppyDisk 7 MSH:'            /* MessyDOS device          */

'CDSource RAM:'                             /* Set active directories   */
'CDTarget RAM:'

'DefineConsole 1 CON:0/50/640/100/Console1'
'DefineConsole 2 CON:0/25/640/150/Console2'
'DefineConsole 3 CON:40/20/640/430/Console3'

'DefineMenu Utilities'                      /* Define Utilities menu    */
'DefineItem WB Calculator SYS:Tools/Calculator'
'DefineItem WB MeMacs SYS:Tools/MeMacs'
'DefineItem WB Clock SYS:Utilities/Clock'
'DefineItem WB Say SYS:Utilities/Say'

'DefineMenu Applications'                   /* Define Applications menu */
'DefineItem WB DeluxePaint DH0:DPIII/DPaint'
'DefineItem KEY=P WB ProWrite HardDisk:WordProcessing/ProWrite/ProWrite'

'DefineMenu Games'                          /* Define Games menu        */
'DefineItem KEY=S WB Streets HardDisk:Games/Streets+Alleys'
'DefineItem WB BattleChess HardDisk:Games/BattleChess'
'DefineItem WB Montana HardDisk:Games/Montana'
'DefineItem KEY=T WB Tetrix HardDisk:Games/Tetrix'

'DefineExt CLI Run CDSource ToWB C DME &sf' /* Associate .C with DME    */
'DefineExt CLI Run CDSource ToWB H DME &sf' /* Associate .H with DME    */
'DefineExt ARexx rexx &sf'                  /* Associate .REXX with do  */
'DefineExt ARexx APP &sf'                   /* Associate .APP with do   */

'DefineFunction 1 TagAll TagAll'            /* Select all files         */
'DefineFunction 2 Reset Reset'              /* Deselect all files       */
'DefineFunction Run CDSource 3 Shell NewShell NEWCON:0/50/640/100/AmigaShell'
'DefineFunction Sleep TargetRefresh 5 Copy copy FROM &sf TO &tf COM'
'DefineFunction Sleep TargetRefresh 6 CopyAll copy FROM &sf TO &tf COM ALL'
'DefineFunction Sleep Confirm SourceRefresh 7 Erase delete &sf'
'DefineFunction Sleep Confirm SourceRefresh 8 EraseAll delete &sf ALL'
'DefineFunction Sleep SourceRefresh TargetRefresh 9 Rename rename FROM &sf TO &tf'
'DefineFunction Sleep SourceRefresh TargetRefresh 10 Join join &sa AS &tf'
'DefineFunction TargetRefresh 11 MakeDir Makedir &tf'
'DefineFunction Sleep Console=1 TargetRefresh CLI 13 Format',
   'FORMAT DRIVE &td NAME NEW NOICONS'
'DefineFunction Sleep Console=1 TargetRefresh CLI 14 DiskCopy DISKCOPY',
        'FROM &sd TO &td'
'DefineFunction Sleep Confirm CLI 15 Install &tf'
'DefineFunction Run 17 More more &sf'
'DefineFunction Run NoSelect 18 Edit DME &sf'
'DefineFunction 21 Viewer SuperView &sf'
'DefineFunction CDSource NoQuote 25 Do &sf'
'DefineFunction CDSource 26 Run Run &sf'
'DefineFunction CDSource 27 Execute Execute &sf'
'DefineFunction Console=2 CDSource SourceRefresh ARexx 28 Extract Extract &SF'

return 0                                    /* That's all folks!        */                            /* Successful completion        */

