/* Copyright 1990 by Christopher A. Wichura.
   See file GIFMachine.doc for full description of rights.
*/

#include "GIFMachine.h"

static UBYTE buf[256];

BOOL DoExtension(BPTR fh)
{
	register int size;

	if (Read(fh, buf, 1) != 1) {
		Puts("...Error reading extension block function code.");
		return TRUE;
	}

	Printf("...Extension block function code #%ld not know, skipping.\n",
		 buf[0]);

	/* we must skip over any data for the extension block */
	for (;;) {
		if (Read(fh, buf, 1) != 1) {
			Puts("...Error reading extension block function code.");
			return TRUE;
		}

		size = buf[0];

		if (size == 0)
			return FALSE;

		if (Read(fh, buf, size) != size) {
			Puts("...Error reading extension block function code.");
			return TRUE;
		}
	}
}
